<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">



	<!-- specify xhtml output -->
	<xsl:output method="xml" encoding="utf-8" indent="yes" omit-xml-declaration="yes"/>

	<!-- this is needed so that whitespace nodes
		in page/*.xml are not seen as text-keys -->
	<xsl:strip-space elements="*"/>


	<xsl:template match="/">
		<html>
			<head>
				<title>index</title>
				<link href="style/style.css" type="text/css" rel="stylesheet" />
			</head>
			<body>
				<xsl:for-each select="/index/test">
				<xsl:sort select="position()" data-type="number" order="descending"/>
					<div>
						<xsl:attribute name="class">test passed-<xsl:value-of select="@passed"/></xsl:attribute>
						<b>Test</b> 
						Time: <xsl:value-of select="@time"/> 
						Passed: <xsl:value-of select="@passed"/> 
						Errors: <xsl:value-of select="@errors"/> 
						<a><xsl:attribute name="href">report-<xsl:value-of select="@id"/>.html</xsl:attribute>[summary report]</a> 
						<a><xsl:attribute name="href">report-<xsl:value-of select="@id"/>.xml</xsl:attribute>[summary xml report]</a> 
						<a><xsl:attribute name="href">full-report-<xsl:value-of select="@id"/>.xml</xsl:attribute>[full xml report]</a> 
					</div>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>

</xsl:stylesheet>
