<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">



	<!-- specify xhtml output -->
	<xsl:output method="xml" encoding="utf-8" indent="yes" omit-xml-declaration="yes"/>

	<!-- this is needed so that whitespace nodes
		in page/*.xml are not seen as text-keys -->
	<xsl:strip-space elements="*"/>


	<xsl:template match="/">
		<test>
			<xsl:attribute name="time"><xsl:value-of select="/test/@time"/></xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="/test/@id"/></xsl:attribute>
			<xsl:attribute name="errors"><xsl:value-of select="count(//*[@succeeded='no'])"/></xsl:attribute>
			<xsl:choose>
				<xsl:when test="//*[@succeeded='no']"><xsl:attribute name="passed">no</xsl:attribute></xsl:when>
				<xsl:otherwise><xsl:attribute name="passed">yes</xsl:attribute></xsl:otherwise>
			</xsl:choose>
			<svn-info><xsl:value-of select="/test/svn-info"/></svn-info>

			<xsl:for-each select="//*[@succeeded='no']">
				<xsl:call-template name="error"/>
			</xsl:for-each>

		</test>
  	</xsl:template>

	<xsl:template name="error">
		<error>
			<location>
				<node><xsl:value-of select="name()" />( <xsl:for-each select="@*"><xsl:value-of select="name()"/> = '<xsl:value-of select="."/>' </xsl:for-each>)</node>
				<xsl:for-each select="ancestor::node()">
				<xsl:sort select="position()" data-type="number" order="descending"/>
					<xsl:if test="not(name()='')">
						<node><xsl:value-of select="name()" />
							<xsl:if test="@*">(
								<xsl:for-each select="@*">
									<xsl:value-of select="name()"/> = '<xsl:value-of select="."/>' 
								</xsl:for-each>)
							</xsl:if>
						</node>
					</xsl:if>
				</xsl:for-each>
			</location>
			<message><xsl:value-of select="message"/></message>
		</error>
	</xsl:template>

</xsl:stylesheet>
